From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libsndfile/
Date: Sun, 13 Aug 2023 09:35:47 +0000 (UTC) [thread overview]
Message-ID: <1691919337.7c4d8320f5370b02cc3da79ffa2d38a779688ae3.soap@gentoo> (raw)
commit: 7c4d8320f5370b02cc3da79ffa2d38a779688ae3
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 13 09:35:37 2023 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Aug 13 09:35:37 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c4d8320
media-libs/libsndfile: add 1.2.2
Signed-off-by: David Seifert <soap <AT> gentoo.org>
media-libs/libsndfile/Manifest | 1 +
media-libs/libsndfile/libsndfile-1.2.2.ebuild | 77 +++++++++++++++++++++++++++
2 files changed, 78 insertions(+)
diff --git a/media-libs/libsndfile/Manifest b/media-libs/libsndfile/Manifest
index 46aab5d7a6c4..01445e104bff 100644
--- a/media-libs/libsndfile/Manifest
+++ b/media-libs/libsndfile/Manifest
@@ -1 +1,2 @@
DIST libsndfile-1.2.0.tar.xz 730268 BLAKE2B cb13fde9b9f44c6279a9ee7741457824eb41fc17261bf9c669d757e9e506eba2c3d4ad259e4625b8a11c82308188cc19f7399e9d1fc0299a3a11794e4b653e47 SHA512 c0dee6b33cd3c619aa13ec2854a5480e826640ca98a438758346194e83752af576a39f9de118824f0d0c61288632d87b489dc5793c025296e0f15564d87ca12a
+DIST libsndfile-1.2.2.tar.xz 730760 BLAKE2B bc8e49983d9ad9dfd98984e2ffef501c6f576480e556e9f9ef91c7d597524cc1bb8baed15dfef8e239f72c42136c524117029eb8271f3a2c9d607fee490279b5 SHA512 a6e3ea3ac5d91befaa99f6a31a3fac44e7b7c11f1de4698167317a461d5a19a2651d47486a920b34400f18367b4f6173bf0c1c9ba80eb682cece1b5beee352a0
diff --git a/media-libs/libsndfile/libsndfile-1.2.2.ebuild b/media-libs/libsndfile/libsndfile-1.2.2.ebuild
new file mode 100644
index 000000000000..4adcb3826f99
--- /dev/null
+++ b/media-libs/libsndfile/libsndfile-1.2.2.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+if [[ ${PV} == *9999 ]]; then
+ inherit autotools git-r3
+ EGIT_REPO_URI="https://github.com/libsndfile/libsndfile.git"
+else
+ SRC_URI="https://github.com/libsndfile/libsndfile/releases/download/${PV}/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+fi
+inherit python-any-r1 multilib-minimal
+
+DESCRIPTION="C library for reading and writing files containing sampled sound"
+HOMEPAGE="https://libsndfile.github.io/libsndfile/"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE="alsa minimal sqlite test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ !minimal? (
+ media-libs/flac:=[${MULTILIB_USEDEP}]
+ media-libs/libogg:=[${MULTILIB_USEDEP}]
+ media-libs/libvorbis:=[${MULTILIB_USEDEP}]
+ media-libs/opus:=[${MULTILIB_USEDEP}]
+ media-sound/lame:=[${MULTILIB_USEDEP}]
+ media-sound/mpg123:=[${MULTILIB_USEDEP}]
+ )
+ alsa? ( media-libs/alsa-lib:= )
+ sqlite? ( dev-db/sqlite )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+ test? ( ${PYTHON_DEPS} )"
+if [[ ${PV} == *9999 ]]; then
+ BDEPEND+="
+ ${PYTHON_DEPS}
+ sys-devel/autogen
+ "
+fi
+
+pkg_setup() {
+ if use test || [[ ${PV} == *9999 ]]; then
+ python-any-r1_pkg_setup
+ fi
+}
+
+src_prepare() {
+ default
+
+ [[ ${PV} == *9999 ]] && eautoreconf
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" econf \
+ --disable-octave \
+ --disable-static \
+ --disable-werror \
+ $(use_enable !minimal external-libs) \
+ $(use_enable !minimal mpeg) \
+ $(multilib_native_enable full-suite) \
+ $(multilib_native_use_enable alsa) \
+ $(multilib_native_use_enable sqlite) \
+ PYTHON="${EPYTHON}"
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ # no static archives
+ find "${ED}" -name '*.la' -delete || die
+}
next reply other threads:[~2023-08-13 9:35 UTC|newest]
Thread overview: 129+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-08-13 9:35 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-26 18:41 [gentoo-commits] repo/gentoo:master commit in: media-libs/libsndfile/ Arthur Zamarin
2024-12-01 14:10 Sam James
2024-12-01 14:10 Sam James
2024-11-10 9:31 Andreas Sturmlechner
2024-10-07 2:52 Sam James
2024-01-06 9:06 Sam James
2024-01-06 9:06 Sam James
2024-01-06 9:06 Sam James
2024-01-06 9:06 Sam James
2024-01-06 9:06 Sam James
2024-01-05 9:53 Sam James
2023-11-20 14:29 Sam James
2023-09-24 20:15 Miroslav Šulc
2023-09-13 13:41 Sam James
2023-09-13 13:41 Sam James
2023-09-13 13:37 Sam James
2023-09-13 13:37 Sam James
2023-09-13 13:37 Sam James
2023-09-13 13:37 Sam James
2023-08-13 17:07 David Seifert
2023-08-13 9:35 David Seifert
2023-02-17 8:13 Miroslav Šulc
2023-02-16 17:13 Michał Górny
2023-02-16 5:09 Sam James
2023-02-16 5:09 Sam James
2023-02-15 1:40 Sam James
2023-02-14 21:43 Sam James
2023-02-14 21:43 Sam James
2023-02-14 21:43 Sam James
2023-02-14 21:43 Sam James
2022-12-26 8:11 Miroslav Šulc
2022-05-19 5:08 WANG Xuerui
2022-05-04 18:52 Miroslav Šulc
2022-05-04 4:01 Sam James
2022-04-24 1:18 Sam James
2022-04-02 12:04 Arthur Zamarin
2022-04-01 11:38 Arthur Zamarin
2022-04-01 6:53 Arthur Zamarin
2022-04-01 5:15 Arthur Zamarin
2022-03-30 20:09 Jakov Smolić
2022-03-30 11:09 Jakov Smolić
2022-03-27 13:30 David Seifert
2022-03-27 13:30 David Seifert
2022-03-27 12:56 David Seifert
2022-03-27 12:56 David Seifert
2022-01-10 12:41 James Le Cuirot
2021-10-27 17:54 Arthur Zamarin
2021-07-13 11:21 Marek Szuba
2021-04-06 10:42 Miroslav Šulc
2021-03-08 10:28 Sam James
2021-03-08 10:28 Sam James
2021-03-08 10:27 Sam James
2021-03-08 10:26 Sam James
2021-03-08 10:25 Sam James
2021-03-08 5:32 Sam James
2021-03-07 23:06 Sam James
2021-01-24 12:52 David Seifert
2021-01-24 12:52 David Seifert
2021-01-06 14:27 Fabian Groffen
2020-11-12 7:48 Miroslav Šulc
2020-11-12 0:35 Thomas Deutschmann
2020-11-04 10:42 Sergei Trofimovich
2020-11-04 8:16 Sergei Trofimovich
2020-11-04 7:58 Sergei Trofimovich
2020-11-04 0:58 Sam James
2020-11-03 22:47 Sergei Trofimovich
2020-11-03 12:52 Sam James
2020-11-02 10:27 Sam James
2020-08-31 9:10 Alexis Ballier
2020-08-23 8:15 Sergei Trofimovich
2020-08-23 8:15 Sergei Trofimovich
2020-04-28 19:23 Mart Raudsepp
2020-04-28 18:11 Sergei Trofimovich
2020-04-27 17:08 Sergei Trofimovich
2020-04-25 10:49 Mikle Kolyada
2020-04-23 10:41 Agostino Sarubbo
2020-04-23 10:09 Agostino Sarubbo
2020-04-17 15:56 Andreas Sturmlechner
2019-10-26 23:11 Thomas Deutschmann
2019-03-20 19:06 Mikle Kolyada
2019-02-09 12:46 David Seifert
2018-11-08 22:59 Sergei Trofimovich
2018-11-04 22:51 Andreas Sturmlechner
2018-10-29 5:39 Markus Meier
2018-10-13 6:56 Tobias Klausmann
2018-10-06 22:08 Sergei Trofimovich
2018-10-06 16:48 Matt Turner
2018-10-05 4:10 Thomas Deutschmann
2018-10-04 22:36 Sergei Trofimovich
2018-10-04 8:32 Mikle Kolyada
2018-10-03 18:52 Andreas Sturmlechner
2018-10-03 18:52 Andreas Sturmlechner
2018-10-02 10:58 Tobias Klausmann
2018-09-24 18:17 Markus Meier
2018-09-22 11:31 Sergei Trofimovich
2018-09-22 11:14 Sergei Trofimovich
2018-09-22 11:10 Sergei Trofimovich
2018-09-19 19:51 Sergei Trofimovich
2018-09-19 17:35 Thomas Deutschmann
2018-09-19 11:54 Mikle Kolyada
2018-09-18 17:18 Matt Turner
2018-09-18 17:18 Matt Turner
2018-09-18 16:24 Andreas Sturmlechner
2018-04-09 0:06 Aaron Bauman
2018-03-15 15:23 Mikle Kolyada
2017-10-14 19:23 David Seifert
2017-06-05 16:31 David Seifert
2017-05-19 22:29 Sergei Trofimovich
2017-05-15 20:16 Michael Weber
2017-05-12 17:56 Tobias Klausmann
2017-05-10 15:44 Agostino Sarubbo
2017-05-10 13:55 Jeroen Roovers
2017-05-10 9:32 Agostino Sarubbo
2017-05-09 18:58 David Seifert
2017-04-14 16:28 Michał Górny
2017-04-04 8:58 Lars Wendler
2016-11-22 19:35 David Seifert
2016-07-04 8:56 Alexis Ballier
2016-07-04 8:56 Alexis Ballier
2016-07-04 8:49 Alexis Ballier
2016-01-26 8:51 Justin Lecher
2015-12-27 9:56 Mikle Kolyada
2015-12-09 11:14 Agostino Sarubbo
2015-12-05 12:46 Markus Meier
2015-11-30 6:03 Jeroen Roovers
2015-11-25 8:54 Agostino Sarubbo
2015-11-24 14:24 Jeroen Roovers
2015-11-23 23:48 Lars Wendler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1691919337.7c4d8320f5370b02cc3da79ffa2d38a779688ae3.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox